Bug 1028576 - [PROD] oo-accept-node fails on MCS labels
[PROD] oo-accept-node fails on MCS labels
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: mfisher
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-11-08 14:39 EST by Sten Turpin
Modified: 2015-05-14 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-23 22:29:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sten Turpin 2013-11-08 14:39:42 EST
Description of problem: 3 new nodes fail oo-accept-node on MCS labels

Version-Release number of selected component (if applicable):

How reproducible:
always on these 3 nodes

Steps to Reproduce:
1. run oo-accept-node -v

Actual results:
INFO: checking selinux nodes
uninitialized constant OpenShift::Runtime::Utils::SELinux::EtcUtils
uninitialized constant OpenShift::Runtime::Utils::SELinux::EtcUtils
FAIL: Was not able to get MCS labels for the min or max uids

Expected results:
oo-accept-node should pass

Additional info:
Comment 1 Rob Millner 2013-11-08 14:41:53 EST
It looks like there's an issue with how EtcUtils was included into the SELinux module.
Comment 2 Rob Millner 2013-11-08 20:59:39 EST
Master pull request:

Stage pull request:
Comment 3 openshift-github-bot 2013-11-08 22:59:11 EST
Commit pushed to master at https://github.com/openshift/origin-server

Bug 1028576 - EtcUtils should be explicitly required by the selinux module if its going to be used.
Comment 4 Meng Bo 2013-11-11 06:48:24 EST
Checked devenv_4016 with the fix in, there is no issue for the oo-accept-node, and no regression.

Move the bug to verified.

Note You need to log in before you can comment on or make changes to this bug.